Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
leejang

Lisp ghi toạ độ điểm ra màn hình !!!

Các bài được khuyến nghị

leejang    4

Các bác Pro à ? Em muốn sửa lisp pick toạ độ để ghi thêm X=, Y= trước các toạ độ tương ứng:

Command: td

Pick point:(chọn điểm lấy toạ độ)

Điểm ghi toạ độ:(Chọn điểm ghi tạo độ)

kết quả :

X=....

Y=....

 

(DEFUN EXCUTE(/ n P TX TY)

(setq str (strcat "\nPhan so le muon lay [" (itoa sl) "] (press Enter or Space for get default): "))

(setq n (getint str))

(if (/= n Nil)

(setq sl n)

)

(While T

(setq P Null)

(princ "\nPick a point or press ESC for exit:")

(setq P (getpoint))

(if (/= P Nil)

(progn

(setq TX (rtos (Car P) 2 sl))

(setq TY (rtos (Cadr P) 2 sl))

(command "-INSERT" "TD" P "1" "1" "0" TX TY)

)

)

);End While

)

(DEFUN INIT()

(if (= sl Nil)

(setq sl 2)

)

)

(DEFUN C:TD()

(INIT)

(EXCUTE)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Các bác Pro à ? Em muốn sửa lisp pick toạ độ để ghi thêm X=, Y= trước các toạ độ tương ứng:

Command: td

Pick point:(chọn điểm lấy toạ độ)

Điểm ghi toạ độ:(Chọn điểm ghi tạo độ)

kết quả :

X=....

Y=....

 

(DEFUN EXCUTE(/ n P TX TY)

(setq str (strcat "\nPhan so le muon lay [" (itoa sl) "] (press Enter or Space for get default): "))

(setq n (getint str))

(if (/= n Nil)

(setq sl n)

)

(While T

(setq P Null)

(princ "\nPick a point or press ESC for exit:")

(setq P (getpoint))

(if (/= P Nil)

(progn

(setq TX (rtos (Car P) 2 sl))

(setq TY (rtos (Cadr P) 2 sl))

(command "-INSERT" "TD" P "1" "1" "0" TX TY)

)

)

);End While

)

(DEFUN INIT()

(if (= sl Nil)

(setq sl 2)

)

)

(DEFUN C:TD()

(INIT)

(EXCUTE)

)

Bạn thay 2 dòng :

(setq TX (rtos (Car P) 2 sl))

(setq TY (rtos (Cadr P) 2 sl))

bằng 2 dòng :

(setq TX (strcat "X = " (rtos (Car P) 2 sl)))

(setq TY (strcat "Y = "(rtos (Cadr P) 2 sl)))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leejang    4
Bạn thay 2 dòng :

(setq TX (rtos (Car P) 2 sl))

(setq TY (rtos (Cadr P) 2 sl))

bằng 2 dòng :

(setq TX (strcat "X = " (rtos (Car P) 2 sl)))

(setq TY (strcat "Y = "(rtos (Cadr P) 2 sl)))

Cảm ơn bác !

ok

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhờ các anh giúp sửa cho em cái code ghi toa do X,Y  chuyển ngược thành YX và để khi copy sang Excel của Chitietwin sẽ chuyển sang 2 cột ngang với!

 

(defun c:pt (/ p)
(while (setq p (getpoint "\nPick Point: ")) (print p))
(princ))

cảm ơn các anh!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anh ha, anh giúp em 1 chút nữa được không, là vì khi em copy sang Excel nó thành 1 cột và lại phải bôi đen phần X và copy sang cột bên cạnh, có cách nào khi copy cả Y và X và paste sang Excel nó phân thành 2 cột Y và X không anh? sửa giúp em lấy sau dấu phẩy 2 số thập phân nữa. cảm ơn anh nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.678

Đây!

 

(defun c:pt (/ p lst fn pw)
 (while (setq p (getpoint "\nPick Point: "))
  (setq lst (cons p lst)))
 (setq fn (getfiled "Chon file de xuat ket qua" "" "csv" 1))
 (setq pw (open fn "w"))
 (write-line "Y,X" pw)
 (foreach p (reverse lst)
  (write-line (strcat (rtos (cadr p) 2 2) "," (rtos (car p) 2 2)) pw))
 (close pw)
 (princ))
  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có 5 cái:

- Xuất ra màn hình

- Xuất ra bảng

- Xuất ra .txt

- Xuất ra excel (đang tìm vì lâu rồi ko dùng đến nên không biết tên lisp là gì nữa)

- Xuất ra word (đang tìm vì lâu rồi ko dùng đến nên không biết tên lisp là gì nữa)

114123_untitled_9.gif

 

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuxuku142    0

Anh nguyenngoc971 ơi

Hiện em đang bí về vấn đề xuất tạo độ này nhờ anh giúp e với ạ

Nhờ anh gửi giúp em list xuất ra màn hình và bảng hộ em với được ko ạ

Cảm ơn anh nhiều trước nhé

Mail của em là  thuan.utc.gtcc@gmail.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Minh Kiên    0

Xin chào bạn nguyenngoc,bạn có thể gửi giúp mình lisp xuất tọa độ ra bảng và ra màn hình được không,cảm ơn bạn nhé!

Mail mình là : connections13@gmail.com

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×